import numpy as np

NUMBER_OF_ATOMS_IN_SHELL = {
    "fcc": np.array(
        [
            12.0,
            6.0,
            24.0,
            12.0,
            24.0,
            8.0,
            48.0,
            6.0,
            36.0,
            24.0,
            24.0,
            24.0,
            72.0,
            48.0,
            12.0,
            48.0,
            30.0,
            72.0,
            24.0,
            48.0,
            24.0,
            48.0,
            8.0,
            84.0,
            24.0,
            96.0,
            48.0,
            24.0,
            96.0,
            6.0,
            96.0,
            48.0,
            48.0,
            36.0,
            120.0,
            24.0,
            48.0,
            24.0,
            48.0,
            48.0,
            120.0,
            24.0,
            120.0,
            96.0,
            24.0,
            108.0,
            30.0,
            48.0,
            72.0,
            72.0,
            32.0,
            144.0,
            96.0,
            72.0,
            72.0,
            48.0,
            120.0,
            144.0,
            12.0,
            48.0,
            48.0,
            168.0,
            48.0,
            96.0,
            48.0,
            48.0,
            30.0,
            192.0,
            24.0,
            120.0,
            72.0,
            96.0,
            96.0,
            24.0,
            108.0,
            96.0,
            120.0,
            48.0,
            144.0,
            24.0,
            144.0,
            24.0,
            96.0,
            72.0,
            144.0,
            48.0,
            144.0,
            48.0,
            8.0,
            240.0,
            54.0,
            120.0,
            84.0,
            72.0,
            48.0,
            240.0,
            24.0,
            96.0,
            72.0,
            72.0,
            96.0,
            120.0,
            144.0,
            48.0,
            96.0,
            48.0,
            240.0,
            24.0,
            216.0,
            72.0,
            96.0,
            132.0,
            72.0,
            144.0,
            96.0,
            144.0,
            192.0,
            6.0,
            96.0,
            96.0,
            72.0,
            96.0,
            240.0,
            24.0,
            192.0,
            48.0,
            144.0,
            96.0,
            168.0,
            48.0,
            96.0,
            144.0,
            36.0,
            240.0,
            48.0,
            168.0,
            120.0,
            72.0,
            56.0,
            144.0,
            24.0,
            240.0,
            96.0,
            96.0,
            48.0,
            312.0,
            144.0,
            24.0,
            96.0,
            102.0,
            264.0,
            48.0,
            96.0,
            72.0,
            144.0,
            48.0,
            180.0,
            48.0,
            216.0,
            120.0,
            120.0,
            240.0,
            24.0,
            192.0,
            144.0,
            72.0,
            120.0,
            216.0,
            48.0,
            144.0,
            144.0,
            48.0,
            336.0,
            96.0,
            192.0,
            96.0,
            24.0,
            240.0,
            48.0,
            192.0,
            108.0,
            120.0,
            72.0,
            240.0,
            30.0,
            192.0,
            168.0,
            192.0,
            48.0,
        ]
    ),
    "bcc": np.array(
        [
            8.0,
            6.0,
            12.0,
            24.0,
            8.0,
            6.0,
            24.0,
            24.0,
            24.0,
            32.0,
            12.0,
            48.0,
            30.0,
            24.0,
            24.0,
            24.0,
            8.0,
            48.0,
            24.0,
            48.0,
            72.0,
            6.0,
            24.0,
            48.0,
            36.0,
            56.0,
            24.0,
            24.0,
            72.0,
            48.0,
            24.0,
            48.0,
            24.0,
            72.0,
            30.0,
            72.0,
            72.0,
            32.0,
            48.0,
            72.0,
            48.0,
            48.0,
            12.0,
            120.0,
            48.0,
            48.0,
            72.0,
            48.0,
            30.0,
            56.0,
            24.0,
            72.0,
            96.0,
            24.0,
            24.0,
            96.0,
            48.0,
            120.0,
            24.0,
            24.0,
            120.0,
            72.0,
            48.0,
            48.0,
            8.0,
            96.0,
            54.0,
            84.0,
            96.0,
            48.0,
            24.0,
            72.0,
            72.0,
            96.0,
            96.0,
            48.0,
            120.0,
            48.0,
            24.0,
            48.0,
            72.0,
            104.0,
            72.0,
            96.0,
            168.0,
            6.0,
            96.0,
            96.0,
            96.0,
            48.0,
            24.0,
            48.0,
            120.0,
            96.0,
            48.0,
            72.0,
            36.0,
            96.0,
            48.0,
            120.0,
            192.0,
            56.0,
            24.0,
            72.0,
            96.0,
            48.0,
            144.0,
            24.0,
            96.0,
            102.0,
            48.0,
            72.0,
            72.0,
            48.0,
            144.0,
            48.0,
            120.0,
            120.0,
            24.0,
            96.0,
            144.0,
            120.0,
            104.0,
            48.0,
            192.0,
            48.0,
            96.0,
            72.0,
            24.0,
            120.0,
            48.0,
            108.0,
            192.0,
            72.0,
            30.0,
            48.0,
            168.0,
            48.0,
        ]
    ),
    "hcp": None,
}

DISTANCE_OF_ATOMS_IN_SHELL = {
    "fcc": np.array(
        [
            7.071067811861495578e-01,
            1.000000000000000000e00,
            1.224744871391986401e00,
            1.414213562372299116e00,
            1.581138830084479530e00,
            1.732050807569770923e00,
            1.870828693385364172e00,
            2.000000000000000000e00,
            2.121320343560476829e00,
            2.236067977500741932e00,
            2.345207879911347604e00,
            2.449489742783972801e00,
            2.549509756795688808e00,
            2.738612787525710246e00,
            2.828427124744598231e00,
            2.915475947422452307e00,
            3.000000000000000000e00,
            3.082207001483837860e00,
            3.162277660168959059e00,
            3.240370349202715605e00,
            3.316624790356465624e00,
            3.391164991564505460e00,
            3.464101615139541845e00,
            3.535533905931726562e00,
            3.605551275465154859e00,
            3.674234614172914526e00,
            3.741657386770728344e00,
            3.807886552934858670e00,
            3.937003937007919063e00,
            4.000000000000000000e00,
            4.062019202319559597e00,
            4.123105625619217562e00,
            4.183300132671073257e00,
            4.242640687120953658e00,
            4.301162633521027345e00,
            4.358898943539189830e00,
            4.415880433166496921e00,
            4.472135955001483865e00,
            4.527692569070290496e00,
            4.582575694952142342e00,
            4.636809247749424046e00,
            4.690415759822695208e00,
            4.743416490253681950e00,
            4.847679857416610893e00,
            4.898979485567945602e00,
            4.949747468306121334e00,
            5.000000000000000000e00,
            5.049752469177470005e00,
            5.099019513591377617e00,
            5.147815070493382272e00,
            5.196152422704860108e00,
            5.244044240852972827e00,
            5.338539126011738745e00,
            5.385164807134692033e00,
            5.431390245599347466e00,
            5.477225575051420492e00,
            5.522680508592650028e00,
            5.612486080158746837e00,
            5.656854249489196462e00,
            5.700877125493382103e00,
            5.744562646540302353e00,
            5.787918451395393404e00,
            5.830951894844904615e00,
            5.873670062233081524e00,
            5.916079783103628031e00,
            5.958187643904718556e00,
            6.000000000000000000e00,
            6.041522986799300554e00,
            6.082762530298966297e00,
            6.123724356961096404e00,
            6.164414002967675721e00,
            6.204836822995206447e00,
            6.284902544985115469e00,
            6.324555320337918118e00,
            6.363961030677966590e00,
            6.403124237433073240e00,
            6.442049363365517145e00,
            6.480740698405431210e00,
            6.519202405206336870e00,
            6.557438524301236527e00,
            6.595452979140225658e00,
            6.633249580712931248e00,
            6.670832032067334438e00,
            6.708203932501565880e00,
            6.745368781615980858e00,
            6.782329983129010920e00,
            6.819090848495839019e00,
            6.892024376049208811e00,
            6.928203230279083691e00,
            6.964194138592548988e00,
            7.000000000000000000e00,
            7.035623639734703616e00,
            7.071067811863453123e00,
            7.106335201773050336e00,
            7.141428428548223906e00,
            7.176350047201178306e00,
            7.211102550930309718e00,
            7.245688373098787771e00,
            7.280109889281351165e00,
            7.314369419159701735e00,
            7.348469228345829052e00,
            7.382411530118805132e00,
            7.449832212877984361e00,
            7.483314773541456688e00,
            7.516648189187853824e00,
            7.549834435274407340e00,
            7.582875444053129854e00,
            7.615773105869717341e00,
            7.648529270394252677e00,
            7.681145747863526552e00,
            7.713624310272164664e00,
            7.778174593054698605e00,
            7.810249675908902844e00,
            7.842193570680803028e00,
            7.874007874015838127e00,
            7.905694150423647315e00,
            7.968688725259176486e00,
            8.000000000000000000e00,
            8.031189202099945135e00,
            8.062257748300538651e00,
            8.093207028114209223e00,
            8.124038404639119193e00,
            8.154753215146778089e00,
            8.185352771868917188e00,
            8.215838362579118481e00,
            8.246211251238435125e00,
            8.276472678618828738e00,
            8.306623862916566736e00,
            8.336666000271820920e00,
            8.366600265342146514e00,
            8.396427811878375280e00,
            8.455767262641963100e00,
            8.485281374241907315e00,
            8.514693182957950413e00,
            8.544003745313709430e00,
            8.573214099742383354e00,
            8.602325267042054691e00,
            8.631338250818139102e00,
            8.660254037844964614e00,
            8.689073598484762684e00,
            8.717797887078379659e00,
            8.746427842268163388e00,
            8.774964387390213005e00,
            8.803408430830939935e00,
            8.831760866332993842e00,
            8.860022573329832341e00,
            8.916277250063890492e00,
            8.944271910002967729e00,
            8.972179222465719306e00,
            9.000000000000000000e00,
            9.027735042638420637e00,
            9.055385138140580992e00,
            9.082951062295709477e00,
            9.110433579137936277e00,
            9.137833441253185640e00,
            9.165151389904284684e00,
            9.192388155432924535e00,
            9.219544457292686346e00,
            9.246621004454926407e00,
            9.273618495498848091e00,
            9.300537618866977496e00,
            9.354143466936378104e00,
            9.380831519645390415e00,
            9.407443861121494777e00,
            9.433981132053695262e00,
            9.460443964209053647e00,
            9.486832980507363899e00,
            9.513148795225369270e00,
            9.539392014170447354e00,
            9.565563234851074625e00,
            9.617692030843674189e00,
            9.643650760990876591e00,
            9.669539802905783077e00,
            9.695359714833221787e00,
            9.721111047606978417e00,
            9.772410142841913228e00,
            9.797958971135891204e00,
            9.823441352194182130e00,
            9.848857801795716682e00,
            9.874208829070012072e00,
            9.899494936612242668e00,
            9.924716620643240006e00,
            9.949874371061957490e00,
            9.974968671625502381e00,
            1.000000000000000000e01,
            1.002496882788105914e01,
            1.004987562112074784e01,
            1.007472083979992306e01,
            1.009950493835494001e01,
        ]
    ),
    "bcc": np.array(
        [
            8.660254037842051167e-01,
            1.000000000000000000e00,
            1.414213562373271893e00,
            1.658312395177811149e00,
            1.732050807568410233e00,
            2.000000000000000000e00,
            2.179449471769562940e00,
            2.236067977500404869e00,
            2.449489742783649060e00,
            2.598076211353886222e00,
            2.828427124746543786e00,
            2.958039891549590905e00,
            3.000000000000000000e00,
            3.162277660167516657e00,
            3.278719262152216540e00,
            3.316624790355622299e00,
            3.464101615136820467e00,
            3.570714214271025533e00,
            3.605551275462984595e00,
            3.741657386774020821e00,
            3.840572873932730058e00,
            4.000000000000000000e00,
            4.092676385937356720e00,
            4.123105625616462433e00,
            4.242640687118267806e00,
            4.330127018920688187e00,
            4.358898943539125881e00,
            4.472135955000809737e00,
            4.555216789572188674e00,
            4.582575694955383305e00,
            4.690415759823421737e00,
            4.769696007084752054e00,
            4.898979485567298120e00,
            4.974937185533270245e00,
            5.000000000000000000e00,
            5.099019513592047304e00,
            5.172040216393058110e00,
            5.196152422707772445e00,
            5.361902647380722087e00,
            5.385164807133812737e00,
            5.477225575052507622e00,
            5.545268253204977960e00,
            5.656854249493087572e00,
            5.722761571130583036e00,
            5.744562646538073913e00,
            5.830951894846718275e00,
            5.894913061274818844e00,
            5.916079783099181810e00,
            6.000000000000000000e00,
            6.062177826490442456e00,
            6.082762530296625059e00,
            6.164414002967817829e00,
            6.224949798996648020e00,
            6.324555320335033315e00,
            6.383572667400821743e00,
            6.403124237433071464e00,
            6.480740698407182698e00,
            6.538348415312600359e00,
            6.557438524304433081e00,
            6.633249580711244597e00,
            6.689544080130659154e00,
            6.708203932499893440e00,
            6.782329983124895101e00,
            6.837397165586240000e00,
            6.928203230273640933e00,
            6.982120021885840799e00,
            7.000000000000000000e00,
            7.071067811863875008e00,
            7.123903424388566386e00,
            7.141428428542051066e00,
            7.211102550925969190e00,
            7.262919523168021918e00,
            7.280109889281256130e00,
            7.348469228351770965e00,
            7.399324293477205217e00,
            7.483314773548041643e00,
            7.533259586660899565e00,
            7.549834435268241606e00,
            7.615773105863084425e00,
            7.664854858376444646e00,
            7.681145747865460116e00,
            7.794228634057981608e00,
            7.810249675908516487e00,
            7.874007874009326891e00,
            7.921489758879618037e00,
            8.000000000000000000e00,
            8.046738469714096453e00,
            8.062257748300170945e00,
            8.124038404638660893e00,
            8.170067319181715249e00,
            8.185352771874713440e00,
            8.246211251232924866e00,
            8.291561975886899916e00,
            8.306623862921547641e00,
            8.366600265337410747e00,
            8.411301920627886730e00,
            8.485281374236535612e00,
            8.529361054618565419e00,
            8.544003745319274756e00,
            8.602325267042077783e00,
            8.645808232892775891e00,
            8.660254037841376373e00,
            8.717797887078251762e00,
            8.760707733967036503e00,
            8.774964387393479726e00,
            8.831760866331325843e00,
            8.874119674651531398e00,
            8.944271910001619474e00,
            8.986100377805986028e00,
            9.000000000000000000e00,
            9.055385138140168877e00,
            9.096702699329613395e00,
            9.110433579144377347e00,
            9.165151389910766611e00,
            9.205976319761237647e00,
            9.219544457291060979e00,
            9.273618495498444858e00,
            9.313968005096162628e00,
            9.380831519646843475e00,
            9.420721840707935613e00,
            9.433981132054084284e00,
            9.486832980503688617e00,
            9.526279441631428924e00,
            9.539392014169504108e00,
            9.630680142128229093e00,
            9.643650760991183901e00,
            9.695359714833410081e00,
            9.733961166962503242e00,
            9.797958971134596240e00,
            9.836157786455446583e00,
            9.848857801795714906e00,
            9.899494936612022400e00,
            9.937303457176300370e00,
            9.949874371066540490e00,
            1.000000000000000000e01,
            1.003742994994035165e01,
            1.004987562112133048e01,
            1.009950493836074870e01,
        ]
    ),
    "hcp": None,
}
